Subject: More on serial console problem

From: [email-masked]
Date: Thu, 14 Mar 2002 11:24:17 +0100

Hi.

I have digged through my problem with the serial console and it seems that
the TTY layer is calling the tty_driver.write function with parameter
count=0x00 although the buffer contains a 0x0a. 
If I check for this 0x0a, send it to the serial port and return 1 (for on
char sent) it works. But I don't why count is 0x00. It does not make sense
and I have not found such a special check in any other driver. 

Does anybody have an idea what might go wrong here?

best regards
--
Andre Messerschmidt

Application Engineer
Infineon Technologies AG